@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800&display=swap");

:root {
    --gruascolor: #8d1517;
    --bg: #f4f4f4;
    --fonttext: #6c6c6c;
    --white: #fff;
    --dark: #000;
    --fluorescentBlueColor: #00CBCE;
    --mainFont: #FFFFFF;
}

* {
    font-family: "Poppins", sans-serif;
    box-sizing: border-box;
    text-decoration: none;
    margin: 0;
    padding: 0;
    list-style-type: none;
}

body {
    background-image: url(../img/bus_bkg.jpg);
    background-size: cover;
    position: relative;
}

body::before {
    height: 150vh;
    z-index: -3;/* Para que no interfiera la pseudoclase con el body */
    content: "";
    position: absolute;
    top: 0px;
    right: 0px;
    bottom: 0px;
    left: 0px;
    background-color: rgba(255, 255, 255, 0.65);;
}

/* BEGINS HEADER */
header {
    /* width: 100vw; */
    display: flex;
    justify-content: space-between;
    height: 70px;
    align-items: center;
    z-index: 5;
    transition: .4s;
    border-bottom: 3px solid #0000f4;
    /* border-radius: 30px; */
    padding: 0rem 1rem;
}

.logo {
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: -1;
    /* width: 20px;
    height: 20px; */
    /* background: var(--gruascolor); */
}
.logo img {
    width: 10rem;
}

.container {
    margin-top: 6rem;
    width: 100%;
    /* height: 100vh; */
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.div1 {
    margin-bottom: 1rem;
}

.input-container {
    position: relative;
    /* margin: 1.8rem 0; */
}

.input {
    width: 100%;
    outline: none;
    border: 2px solid var(--dark);
    background: none;
    padding: 0.6rem 1.2rem;
    color: var(--dark);
    font-weight: 500;
    font-size: 0.95rem;
    letter-spacing: 0.5px;
    border-radius: 25px;
    transition: 0.3s;
}

/* TAMAÑO DE LABEL PARA INPUT */
.input-container label {
    position: absolute;
    top: 50%;
    left: 15px;
    transform: translateY(-50%);
    padding: 0 0.4rem;
    color: var(--dark);
    font-weight: 500;
    font-size: 1.1rem;
    pointer-events: none;
    z-index: 600;
    transition: 0.5s;
}

/* TAMAÑO DE LABEL PARA COMBO */
.combo select{
    outline: none;
    border: 2px solid #000;
    border-radius: 25px;
    padding: 10px;
    display: block;
    width: 100%;
    font-size: 16px;
    transition: 0.5s ease;
}

.combo label {
    font-weight: 500;
    font-size: 1.1rem;
}

.input-container.focus label {
    top: 0;
    transform: translateY(-98%);
    left: -7px;
}

.pInvalid {
    font-size: 0.8rem;
    color: var(--text-color-white);
}

.pErrorLogin {
    color: var(--text-color-white);
    font-size: 0.8rem;
    margin-bottom: 1rem;
}

/* Responsive */
@media (max-width: 480px) {
    form {
        padding: 1.7rem 1.6rem;
    }

    .input {
        padding: 0.45rem 1.2rem;
    }
}

.btnTurno,
.btnRegresar {
    padding: 0.8rem 2rem;
    border-radius: 5rem;
    border: 2px solid var(--dark);
    cursor: pointer;
    color: var(--dark);
    /* max-width: 50px; */
    font-size: 1.5rem;
}

.cardTurnoCaja {
    margin-top: 2rem;
    width: 345px;
	background-color: var(--white);
	padding: 1.5rem;
	text-align: center;
	box-shadow: 0 0.4rem 0.9rem rgba(0, 0, 0, 0.2);
	border-radius: 30px;
}

.divIntro {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}

.divIntro img {
    width: 10%;
}

.divIntro span {
    margin-left: 1rem;
    font-size: 1.5rem;
    color: var(--gruascolor);
}

.cardTurnoCaja h3 {
	color: var(--dark);
	font-weight: 600;
    margin-top: 0.5rem;
	margin-bottom: .5rem;
}

.card_body {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.cardTurnoCaja .turno {
    padding: 0.5rem;
    border: 2px solid var(--gruascolor);
	color: var(--dark);
	font-weight: 600;
    font-size: 1.8rem;
	margin-bottom: 1rem;
}


.cardTurnoCaja .fecha {
    color: var(--dark);
	font-weight: 600;
    font-size: 1rem;
}

.cardTurnoCaja p {
    margin-top: 1rem;
    color: var(--fonttext);
    font-size: 1rem;
    line-height: 1.5rem;
    text-align: center;
}

@media screen and (max-width: 768px) {
    body {
        background-size: contain;
        background-repeat: no-repeat;
        background-position: center;
    }
    
    .main-text h2 {
        font-size: 1.2rem;
        color: #0000f4;
        font-weight: 600;
        margin-right: unset;
    }
}

@media screen and (max-width: 380px) {
    .main-text h2 {
        font-size: 1rem;
    }
}
